Bug 1312327 - python-djvulibre: Provide a Python 3 subpackage [NEEDINFO]
python-djvulibre: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-djvulibre (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2016-02-26 07:48 EST by Tomas Orsava
Modified: 2017-10-12 09:29 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-djvulibre-0.8-1.fc28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-12 09:29:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dkrejci: needinfo? (bstinson)
jberan: needinfo? (bstinson)


Attachments (Terms of Use)
Update to 0.8 version including Python 3 subpackage (5.49 KB, patch)
2017-05-19 08:43 EDT, Jan Beran
no flags Details | Diff
Update to 0.8 version including Python 3 subpackage (5.73 KB, patch)
2017-09-04 02:46 EDT, Jan Beran
no flags Details | Diff

  None (edit)
Description Tomas Orsava 2016-02-26 07:48:38 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Dominika Krejčí 2016-04-20 10:44:09 EDT
Hello Brian,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 2 Jan Kurik 2016-07-26 00:08:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 3 Jan Beran 2017-05-19 08:43 EDT
Created attachment 1280415 [details]
Update to 0.8 version including Python 3 subpackage

* The update is very conservative to avoid older RHEL impact, i.e. there are not used modern macros (%py2_build, %py3_build, %py2_install, %py3_install).
* There are commented nosetests in %check section as they fail by "error: invalid command 'nosetests'".
Comment 4 Jan Beran 2017-06-30 07:38:40 EDT
Hello Brian,

please could you review the attached updated spec file?

Thank you.

Best regards

Jan
Comment 5 Jan Beran 2017-09-04 02:46 EDT
Created attachment 1321694 [details]
Update to 0.8 version including Python 3 subpackage

A newer version to reflect the actual spec file. Testing is conditional and temporarily switched-off.
Comment 6 Igor Gnatenko 2017-09-04 03:05:32 EDT
I think it is time to start non-responsive package maintainer process.
Comment 7 Zbigniew Jędrzejewski-Szmek 2017-09-04 16:42:06 EDT
(In reply to Igor Gnatenko from comment #6)
> I think it is time to start non-responsive package maintainer process.

Indeed. Needinfo with no reply between June and September does not look good.
Comment 8 Miro Hrončok 2017-10-12 09:14:32 EDT
Pushed
Comment 9 Miro Hrončok 2017-10-12 09:29:58 EDT
Rawhide done. Closing. Reopen if older Fedoras are needed.

Note You need to log in before you can comment on or make changes to this bug.